export interface ITerminalClientInstance {
    copySelection(): void;
    hadFocusOnExit: boolean;
    hasSelection(): boolean;
    clearSelection(): void;
    registerLinkMatcher(regex: RegExp, handler: (url: string) => void, matchIndex?: number, validationCallback?: (uri: string, element: HTMLElement, callback: (isValid: boolean) => void) => void): number;
    deregisterLinkMatcher(matcherId: number): void;
    focus(force?: boolean): void;
    paste(): void;
    clear(): void;
    scrollDownLine(): void;
    scrollDownPage(): void;
    scrollToBottom(): void;
    scrollUpLine(): void;
    scrollUpPage(): void;
    scrollToTop(): void;
    updateConfig(): void;
    layout(dimension: {
        width: number;
        height: number;
    }): void;
    setVisible(visible: boolean): void;
    attachToElement(container: HTMLElement): void;
    dispose(): void;
}
